# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_kt_resolve - Get a handle for a key table.

krb5_error_code krb5_kt_resolve(krb5_context context, const char *name, krb5_keytab *ktid)

param:

  [in] context - Library context

  [in] name - Name of the key table

  [out] ktid - Key table handle

retval:

  - 0 Success

return:

  - Kerberos error codes

Resolve the key table name name and set ktid to a handle identifying the key table. Use krb5_kt_close() to free ktid when it is no longer needed.

> name must be of the form type:residual , where type must be a type known to the library and residual portion should be specific to the particular keytab type. If no type is given, the default is FILE .

If name is of type FILE , the keytab file is not opened by this call.